Edit an existing Group
curl --request PUT \
--url https://fulfillment.noyo.com/api/v1/groups/{group_id}/{version} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dba_name": "Test Corporation",
"federal_ein": "221111111"
}
'import requests
url = "https://fulfillment.noyo.com/api/v1/groups/{group_id}/{version}"
payload = {
"dba_name": "Test Corporation",
"federal_ein": "221111111"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dba_name: 'Test Corporation', federal_ein: '221111111'})
};
fetch('https://fulfillment.noyo.com/api/v1/groups/{group_id}/{version}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 1557512389,
"dba_name": "Test Corporation",
"federal_ein": "221111111",
"id": "2613a221-d3c8-4c8a-86d5-e7e885fd1da9",
"modified": 1543215342,
"name": "Test Company",
"organization_id": "d61fa455-adf4-4dc4-8c57-6d779ba9475e",
"sic_code": "7371",
"version": "097abf09-336a-4ea1-95d5-633107feb562"
}Groups
Edit Group
Edit a specific group
PUT
/
api
/
v1
/
groups
/
{group_id}
/
{version}
Edit an existing Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the group to be edited
Example:
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Unique version of the group you want to edit
Example:
"6b72d72d-cc99-4df6-8152-7183e824c80c"
Body
application/json
Response
200 - application/json
Successful Response - Returns the modified Group
The date the record was created
Unique identifier of the record in Noyo
The date the record was last updated
Name of the group
Example:
"ACME Flooring"
Current version of the record
DBA name for the company, if applicable
Example:
"Floors R Us"
Federal Employer Identification Number for the company
Example:
"112222222"
Unique identifier of the platform or broker organization in Noyo
SIC Code of the group
Example:
"5713"
Was this page helpful?
